## `FAudioGMS_StaticSound_LoadWAV(filePath)`

**Returns:** Number, a **static sound ID**

|Argument  |Datatype|Description                                           |
|----------|--------|------------------------------------------------------|
|`filePath`|string  |                                                      |

&nbsp;

## `FAudioGMS_StaticSound_CreateSoundInstance()`

**Returns:** Number, a **sound instance ID**

|Argument       |Datatype|Description                                           |
|---------------|--------|------------------------------------------------------|
|`staticSoundID`|number  |                                                      |

&nbsp;

## `FAudioGMS_StaticSound_Destroy(staticSoundID)`

**Returns:** N/A (`undefined`)

|Argument       |Datatype|Description                                           |
|---------------|--------|------------------------------------------------------|
|`staticSoundID`|number  |                                                      |

&nbsp;

## `FAudioGMS_StreamingSound_LoadOGG(filePath)`

**Returns:** Number, a **sound instance ID**

|Argument  |Datatype|Description                                           |
|----------|--------|------------------------------------------------------|
|`filePath`|string  |                                                      |

?> Please note that this function returns a sound instance ID rather than a static sound ID.

!> It is not recommended to try to stream the same .ogg file twice.