## `FAudioGMS_SoundInstance_Play(soundInstanceID, loop)`

**Returns:** N/A (`undefined`)

|Argument         |Datatype|Description                                           |
|-----------------|--------|------------------------------------------------------|
|`soundInstanceID`|number  |                                                      |
|`loop`           |boolean |                                                      |

&nbsp;

## `FAudioGMS_SoundInstance_Pause(soundInstanceID)`

**Returns:** N/A (`undefined`)

|Argument         |Datatype|Description                                           |
|-----------------|--------|------------------------------------------------------|
|`soundInstanceID`|number  |                                                      |

&nbsp;

## `FAudioGMS_SoundInstance_Stop(soundInstanceID)`

**Returns:** N/A (`undefined`)

|Argument         |Datatype|Description                                           |
|-----------------|--------|------------------------------------------------------|
|`soundInstanceID`|number  |                                                      |

&nbsp;

## `FAudioGMS_SoundInstance_Destroy(soundInstanceID)`

**Returns:** N/A (`undefined`)

|Argument         |Datatype|Description                                           |
|-----------------|--------|------------------------------------------------------|
|`soundInstanceID`|number  |                                                      |

&nbsp;

## `FAudioGMS_SoundInstance_DestroyWhenFinished(soundInstanceID)`

**Returns:** N/A (`undefined`)

|Argument         |Datatype|Description                                           |
|-----------------|--------|------------------------------------------------------|
|`soundInstanceID`|number  |                                                      |

&nbsp;

## `FAudioGMS_SoundInstance_SetPan(soundInstanceID, pan)`

**Returns:** N/A (`undefined`)

|Argument         |Datatype|Description                                                                |
|-----------------|--------|---------------------------------------------------------------------------|
|`soundInstanceID`|number  |                                                                           |
|`pan`            |number  |Should be from `-1` (100% left) to `+1` (100% right) with `0` being central|

&nbsp;

## `FAudioGMS_SoundInstance_SetPitch(soundInstanceID, pitch)`

**Returns:** N/A (`undefined`)

|Argument         |Datatype|Description                                                                                                                                                 |
|-----------------|--------|------------------------------------------------------------------------------------------------------------------------------------------------------------|
|`soundInstanceID`|number  |                                                                                                                                                            |
|`pitch`          |number  |Frequency multiplier. A value of `2` will double the frequency and make the pitch higher, a value of `0.5` will halve the frequency and make the pitch lower|

&nbsp;

## `FAudioGMS_SoundInstance_SetVolume(soundInstanceID, volume)`

**Returns:** N/A (`undefined`)

|Argument         |Datatype|Description                                             |
|-----------------|--------|--------------------------------------------------------|
|`soundInstanceID`|number  |                                                        |
|`volume`         |number  |                                                        |

&nbsp;

## `FAudioGMS_SoundInstance_Set3DPosition(soundInstanceID, x, y, z)`

**Returns:** N/A (`undefined`)

|Argument         |Datatype|Description                                             |
|-----------------|--------|--------------------------------------------------------|
|`soundInstanceID`|number  |                                                        |
|`x`              |number  |                                                        |
|`y`              |number  |                                                        |
|`z`              |number  |                                                        |

&nbsp;

## `FAudioGMS_SoundInstance_Set3DVelocity(soundInstanceID, xVelocity, yVelocity, zVelocity)`

**Returns:** N/A (`undefined`)

|Argument         |Datatype|Description                                             |
|-----------------|--------|--------------------------------------------------------|
|`soundInstanceID`|number  |                                                        |
|`xVelocity`      |number  |                                                        |
|`yVelocity`      |number  |                                                        |
|`zVelocity`      |number  |                                                        |

&nbsp;

## `FAudioGMS_SoundInstance_SetTrackPositionInSeconds(soundInstanceID, trackPositionInSeconds)`

**Returns:** N/A (`undefined`)

|Argument                |Datatype|Description                                             |
|------------------------|--------|--------------------------------------------------------|
|`soundInstanceID`       |number  |                                                        |
|`trackPositionInSeconds`|number  |                                                        |

&nbsp;

## `FAudioGMS_SoundInstance_SetVolumeOverTime(soundInstanceID, volume, milliseconds)`

**Returns:** N/A (`undefined`)

|Argument         |Datatype|Description                                             |
|-----------------|--------|--------------------------------------------------------|
|`soundInstanceID`|number  |                                                        |
|`volume`         |number  |                                                        |
|`milliseconds`   |number  |                                                        |

&nbsp;

## `FAudioGMS_SoundInstance_SetLowPassFilter(soundInstanceID, lowPassFilter, Q)`

**Returns:** N/A (`undefined`)

|Argument         |Datatype|Description                                             |
|-----------------|--------|--------------------------------------------------------|
|`soundInstanceID`|number  |                                                        |
|`lowPassFilter`  |number  |                                                        |
|`Q`              |number  |                                                        |

&nbsp;

## `FAudioGMS_SoundInstance_SetHighPassFilter(soundInstanceID, lowPassFilter, Q)`

**Returns:** N/A (`undefined`)

|Argument         |Datatype|Description                                             |
|-----------------|--------|--------------------------------------------------------|
|`soundInstanceID`|number  |                                                        |
|`lowPassFilter`  |number  |                                                        |
|`Q`              |number  |                                                        |

&nbsp;

## `FAudioGMS_SoundInstance_SetHighPassFilter(soundInstanceID, highPassFilter, Q)`

**Returns:** N/A (`undefined`)

|Argument         |Datatype|Description                                             |
|-----------------|--------|--------------------------------------------------------|
|`soundInstanceID`|number  |                                                        |
|`highPassFilter` |number  |                                                        |
|`Q`              |number  |                                                        |

&nbsp;

## `FAudioGMS_SoundInstance_SetBandPassFilter(soundInstanceID, bandPassFilter, Q)`

**Returns:** N/A (`undefined`)

|Argument         |Datatype|Description                                             |
|-----------------|--------|--------------------------------------------------------|
|`soundInstanceID`|number  |                                                        |
|`bandPassFilter` |number  |                                                        |
|`Q`              |number  |                                                        |

&nbsp;

## `FAudioGMS_SoundInstance_GetPitch(soundInstanceID)`

**Returns:** Number, the pitch of the sound instance, with `1` being no pitch shift

|Argument         |Datatype|Description                                             |
|-----------------|--------|--------------------------------------------------------|
|`soundInstanceID`|number  |                                                        |

&nbsp;

## `FAudioGMS_SoundInstance_GetVolume(soundInstanceID)`

**Returns:** Number, the volume of the sound instance, from `0` (inaudible) to `1` (full volume)

|Argument         |Datatype|Description                                             |
|-----------------|--------|--------------------------------------------------------|
|`soundInstanceID`|number  |                                                        |

&nbsp;

## `FAudioGMS_SoundInstance_GetTrackLengthInSeconds(soundInstanceID)`

**Returns:** Number, the track length (in seconds)

|Argument         |Datatype|Description                                             |
|-----------------|--------|--------------------------------------------------------|
|`soundInstanceID`|number  |                                                        |

&nbsp;

## `FAudioGMS_SoundInstance_GetTrackPositionInSeconds(soundInstanceID)`

**Returns:** Number, the track position (in seconds)

|Argument         |Datatype|Description                                             |
|-----------------|--------|--------------------------------------------------------|
|`soundInstanceID`|number  |                                                        |